package multithreadingudpechoserver;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) J.M.Joller
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

import java.net.*;
import java.io.*;

public class UDPEchoServer extends Thread {

  DatagramSocket theSocket;
  protected DatagramPacket dp;

  public UDPEchoServer(DatagramSocket s) {
    theSocket = s;
    byte[] buffer = new byte[65507];
    dp = new DatagramPacket(buffer, buffer.length);
    System.out.println("[UDPEchoServer]Konstruktor");
  }

  public void run() {
    System.out.println("[UDPEchoServer]run()");
    while (true) {
      try {
        theSocket.receive(dp);
        String s = new String(dp.getData(), 0, 0, dp.getLength());
        System.out.println("[UDPEchoServer]"+s);
        Thread.yield();
      }
      catch (IOException e) {
        System.err.println(e);
      }
    }
  }
}
