package multithreadingudpserver;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) J.M.Joller
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

//Beispiel 9_18 (gehrt zu 9_17)
import java.net.*;
import java.io.*;

public class UDPServer extends Thread {

  InetAddress server;
  int echoPort = 7;
  DatagramSocket theSocket;

  public UDPServer(InetAddress ia, DatagramSocket ds) {

    server = ia;
    theSocket = ds;
    System.out.println("[DPServer]Konstruktor");
  }

  public void run() {

    System.out.println("[DPServer]run()");
    DataInputStream userInput;
    String theLine;
    DatagramPacket theOutput;

    try {
      userInput = new DataInputStream(System.in);
      while (true) {
        theLine = userInput.readLine();
        if (theLine.equals(".")) break;
        byte[] data = new byte[theLine.length()];
        theLine.getBytes(0, theLine.length(), data, 0);
        theOutput = new DatagramPacket(data, data.length, server, echoPort);
        theSocket.send(theOutput);
        Thread.yield();
      }

    }  // end try
    catch (IOException e) {
      System.err.println(e);
    }
  }  // end run
}
