package udpportscanner;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) J.M.Joller
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */
import java.net.*;

public class UDPPortScanner {
  public static void main(String[] args) {
    System.out.println("[UDPPortScanner]Start ");
    DatagramSocket udpServer;
    for (int i = 0; i <= 1024; i++) {
      try {
        // falls der port besetzt ist, tritt eine Exception auf
        udpServer = new DatagramSocket(i);
        udpServer.close();
        System.out.println("[UDPPortScanner]Port "+i+" ist noch frei fuer UDP.");
      }
      catch (SocketException e) {
        System.out.println("[UDPPortScanner]Port " + i + " ist schon besetzt.");
      } // end try
    } // end for
    System.out.println("[UDPPortScanner]Ende");
  }
}
