package udpechoserver;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) J.M.Joller
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

//Beschreibung:  extents KlasseBeispiel9_12
import java.net.*;
import java.io.*;

public class UDPEchoServer extends UDPBasisServer {

  static { defaultPort = 7; }

  public static void respond(DatagramSocket ds, DatagramPacket dp) {

    DatagramPacket outgoing;
    System.out.println("[UDPEchoServer]respond()");
    try {
      outgoing = new DatagramPacket(dp.getData(), dp.getLength(),
                                    dp.getAddress(), dp.getPort());
      ds.send(outgoing);
    }
    catch (IOException e) {
      System.err.println(e);
    }
  }
}